package com.mycompany.errordemo;

import java.io.Serializable;
import javax.ejb.EJB;

/**
 * This backing bean uses JSF2 for its lifetime management, dependency
 * injection and EL naming.
 *
 * JSF2's dependency injection handles injection of InheritFailsEJB fine,
 * including access to inherited methods via the local no-interface view.
 *
 * @author craig
 */
@javax.faces.bean.ManagedBean
@javax.faces.bean.SessionScoped
public class RequestBeanJSF2 implements Serializable {
    
    private static final long serialVersionUID = 1L;

    @EJB private InheritFailsEJB backingEJB;

    public String getValue() {
        try {
            DebugHelper.logObject("JSF2 getValue", backingEJB);
            return backingEJB.getValue();
        } catch (IllegalStateException ex) {
            ex.printStackTrace(System.err);
            return "(FAILED) " + ex.toString();
        }
    }

    public String getOtherValue() {
        try {
            DebugHelper.logObject("JSF2 getOtherValue", backingEJB);
            return backingEJB.getOtherValue();
        } catch (IllegalStateException ex) {
            ex.printStackTrace(System.err);
            return "(FAILED) " + ex.toString();
        }
    }

}